Rated 5 out of 5 stars

Not compatible with FF 11.0.